Bug 442698 - 'xm dump-core --crash' does not stop guest domain in time
'xm dump-core --crash' does not stop guest domain in time
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
:
Depends On:
Blocks: 391501 409971 449772
  Show dependency treegraph
 
Reported: 2008-04-16 06:58 EDT by Adam Stokes
Modified: 2010-10-22 20:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:14:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Re-diffed patch based on upstream changeset (871 bytes, patch)
2008-07-10 07:30 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Adam Stokes 2008-04-16 06:58:24 EDT
Description of problem:
  "xm dump-core --crash" does not stop guest domain in time.
 In other words, Current RHEL5.2S4 have time between dump-core and destroy.
 It makes guest domain works after core-dump.
 This behavior is not expected one.
 
 From xend.log, domain_id=24 is being destroyed, but unpaused after dump.
 (at line 5)
==============
[2007-09-21 09:54:07 xend 2926] INFO (XendDomain:388) Domain vm1
(24) paused.
[2007-09-21 09:54:07 xend 2926] INFO (XendDomain:405) Domain core dump
requested for domain vm1 (24) live=0 crash=1.
[2007-09-21 09:55:19 xend 2926] INFO (XendDomain:370) Domain vm1
(24) unpaused.
[2007-09-21 09:55:19 xend.XendDomainInfo 2926] DEBUG
(XendDomainInfo:1557) XendDomainInfo.destroy: domid=24
[2007-09-21 09:55:19 xend.XendDomainInfo 2926] DEBUG
(XendDomainInfo:1566) XendDomainInfo.destroyDomain(24)
=============


Version-Release number of selected component (if applicable):
xen 3.0.3-x

How reproducible:
100%

Steps to Reproduce:
1.xm dump-core --crash to the domain.

  
Actual results:
  after xm dump-core --crash, domain is unpaused.

Expected results:
domain is destroyed when a dump core initialized.

Additional info:
  This problem is already fixed by following patch in upstream.
=====
 xm: When dumping core of an errant domain do not unpause after the
changeset 17382: 0834234fd668
http:/ /xenbits.xensource.com/xen-unstable.hg/rev/0834234fd668
=====
Comment 1 RHEL Product and Program Management 2008-06-02 16:06:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Daniel Berrange 2008-07-09 09:24:10 EDT
Yes, this is clearly needed to make the --crash option useful
Comment 4 Daniel Berrange 2008-07-10 07:30:01 EDT
Created attachment 311469 [details]
Re-diffed patch based on upstream changeset
Comment 6 Daniel Berrange 2008-07-21 06:48:34 EDT
Built into xen-3.0.3-67.el5
Comment 7 Daniel Berrange 2008-07-21 07:29:44 EDT
Correction,  xen-3.0.3-68.el5
Comment 11 errata-xmlrpc 2009-01-20 16:14:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0118.html

Note You need to log in before you can comment on or make changes to this bug.